summaryrefslogtreecommitdiffstats
path: root/dev-ruby/rice
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-10-24 02:09:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-10-24 02:09:32 +0200
commitdd2aea324c07fe1bd13143bb37eff11117b6130a (patch)
tree771ed8c8b9b1eb2f02b5843363eed86839ed6e5a /dev-ruby/rice
parent576b6208d6defe240bfa2477d6dd19f1ed83bfaf (diff)
downloaddarklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.gz
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.bz2
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.xz
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.zip
Dice(kiwi) and dependencies; kiwi and dependecies (still missing zypper)
Diffstat (limited to 'dev-ruby/rice')
-rw-r--r--dev-ruby/rice/Manifest2
-rw-r--r--dev-ruby/rice/rice-2.1.3.ebuild31
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/rice/Manifest b/dev-ruby/rice/Manifest
new file mode 100644
index 0000000..fb1cc61
--- /dev/null
+++ b/dev-ruby/rice/Manifest
@@ -0,0 +1,2 @@
+DIST rice-2.1.3.gem 261632 BLAKE2B 58eee6e8f74260a3c198bdb22c84f6da39cb698f9cbf224a97b80d890be19697ac631d6450f9a67587a9fa303bd8d9619914acf38583c74c8082b9def0c97d2f SHA512 9a11874210a3a3ce15f09db4f4ce03c5368f27cb07a1fb0ffec8aff9cb76a8aa84ae7f8d7dda40a6939477d8cc3ea254e64470d78f020f1707e9afe681fdf8e4
+EBUILD rice-2.1.3.ebuild 816 BLAKE2B 71b6d83b7745ce7c800e6ae3c8317433cf6220e4b8cab6ce44b5ca73cdf8d7d92510aab57cbd885bfc253bb24742dbfc7d8e96ca329314454b5f8cee321dbf12 SHA512 081bff09097f6509827d039890aad1ec77519b32b2034f37c3b88a535730c0ad5ea7e74188afc4088978ec34cef536d2c3305224da1a4943514fa42c1e1f0be5
diff --git a/dev-ruby/rice/rice-2.1.3.ebuild b/dev-ruby/rice/rice-2.1.3.ebuild
new file mode 100644
index 0000000..4f8d94c
--- /dev/null
+++ b/dev-ruby/rice/rice-2.1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+inherit ruby-fakegem
+RUBY_FAKEGEM_EXTRAINSTALL="ruby"
+
+DESCRIPTION="Rice is a C++ interface to Ruby's C API. It provides a type-safe and exception-safe interface in order to make embedding Ruby and writing Ruby extensions with C++ easier. It is similar to Boost.Python in many ways, but also attempts to provide an object-oriented interface to all of the Ruby C API."
+HOMEPAGE="https://rubygems.org/gems/rice/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+
+each_ruby_prepare() {
+ ${RUBY} extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake || die
+ find . -name *.o -delete
+}
+
+each_ruby_install() {
+ emake install || die
+ each_fakegem_install
+}